# optimbase_hasnlcons

Checks if the non linear constraints are specified.

## Calling Sequence

                [opt, hasnlcons] = optimbase_hasnlcons(opt)

## Argument

opt

  The object of TOPTIM type (tlist).

hascons

  A boolean.

## Description

The `optimbase_hasnlcons` function returns %t if current problem has non-linear constraints.

## Example

        opt = optimbase_new();

        // Set number of variables
        opt = optimbase_configure ( opt, "-numberofvariables", 2);

        // Set non linear constraints
        opt = optimbase_configure(opt, "-verbose", 1);
        opt = optimbase_configure(opt, "-nbineqconst", 4);

        // Check if the bounds are specified
        [opt, hasnlcons] = optimbase_hasnlcons (opt);
        disp(hasnlcons)

        opt = optimbase_destroy(opt);

## See Also

- optimbase_hasbounds
- optimbase_hasconstraints
- optimbase_isinnonlincons